Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 816069 - [abrt] xpaint-2.9.8.3-1.fc16: ycck_cmyk_convert: Process /usr/bin/xpaint was killed by signal 11 (SIGSEGV)
Summary: [abrt] xpaint-2.9.8.3-1.fc16: ycck_cmyk_convert: Process /usr/bin/xpaint was ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xpaint
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paulo Roma Cavalcanti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:60c11964b682ac520618692a6a0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-25 07:52 UTC by Philippe Noroy
Modified: 2013-02-13 21:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 21:25:33 UTC


Attachments (Terms of Use)
File: maps (deleted)
2012-04-25 07:52 UTC, Philippe Noroy
no flags Details
File: backtrace (deleted)
2012-04-25 07:52 UTC, Philippe Noroy
no flags Details

Description Philippe Noroy 2012-04-25 07:52:33 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        xpaint
crash_function: ycck_cmyk_convert
executable:     /usr/bin/xpaint
kernel:         3.3.2-1.fc16.x86_64
pid:            5389
pwd:            /home/philippe
reason:         Process /usr/bin/xpaint was killed by signal 11 (SIGSEGV)
time:           mer. 25 avril 2012 09:48:31 CEST
uid:            1000
username:       philippe
xsession_errors: 

backtrace:      Text file, 25177 bytes
maps:           Text file, 16735 bytes

build_ids:
:1c6a95451ee19617be5abea3d121f0226d21ddda
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:ab93f5a6105938b598a9eb4321bcfb9c244945d5
:0911ea7c180d733724f89037b8e8a34e64024aec
:40dc5e32f96a3d6d6728301becc415c9af4a68bb
:50e0538b22a0baf6f774534e80192f74c75ab1f5
:d0c6e13f00a20952a72a945c929efb175fd760e3
:460eb197d84b119c8ba93737cd0e4486a96a0be0
:0504467bcf516116228a824643da850a3ff5cf6d
:638db099ff5fb986d1a092629d1bb1dca5be4904
:6788b943089846e98f7dc9cdb5dca63924909b25
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:25b834f4c4dc534708635ff1064e2fe02a366a62
:163b323da65b708418226eb5fa8b057c731d1475
:e2e67b3ae2579e1667b73ad385f61552931024e9
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:48aea888319e1848137073c9cbde54a4c2a731c9
:cddc16ea1f5c8d1f63ca02932cfbad4278e6c95f
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:4c842320387ff7f6f91b7842b223c16518be909f
:75eaece6e0d1e075520cdfad5c398fdab4370846
:bb442681cac85880538d218a90e4969a57ca6888
:040f78c63e49df93936f710287bdc74ae83111c0
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:71530e1d3d2ac5428abaf7512905b0eadac84c61
:6f85cb44412d64e77613b03d1f0bd4a812e642c7
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:11e343f1da2a0c5c61502657909b8c4fe5e21b72

comment:
:first use of the program
:just tried to open a jpeg...
:and program terminated !

dso_list:
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1320287358
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1333148231
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1320287358
:/usr/lib64/libtiff.so.3.9.5 libtiff-3.9.5-3.fc16.x86_64 (Fedora Project) 1335246634
:/usr/lib64/libXft.so.2.2.0 libXft-2.2.0-2.fc15.x86_64 (Fedora Project) 1320287380
:/usr/bin/xpaint xpaint-2.9.8.3-1.fc16.x86_64 (Fedora Project) 1335340054
:/usr/share/fonts/liberation/LiberationSans-Regular.ttf liberation-sans-fonts-1.07.2-2.fc16.noarch (Fedora Project) 1333148846
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1320287357
:/usr/lib64/libopenjpeg.so.3.1.4.0 openjpeg-libs-1.4-12.fc16.x86_64 (Fedora Project) 1333148314
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1320287357
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1320287358
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1320287358
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1320287358
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1333148231
:/usr/lib64/libpng12.so.0.48.0 libpng-2:1.2.48-1.fc16.x86_64 (Fedora Project) 1333148252
:/lib64/libuuid.so.1.3.0 libuuid-2.20.1-2.2.fc16.x86_64 (Fedora Project) 1333148257
:/usr/share/fonts/default/Type1/n021003l.pfb urw-fonts-2.4-10.fc15.noarch (Fedora Project) 1320287381
:/usr/lib64/libXaw3dxft.so.6.1 xpaint-2.9.8.3-1.fc16.x86_64 (Fedora Project) 1335340054
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1333148231
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1320287374
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.7-1.fc16.x86_64 (Fedora Project) 1320287357
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1320287358
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1333148192
:/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc16.x86_64 (Fedora Project) 1333148236
:/usr/lib64/libXpm.so.4.11.0 libXpm-3.5.8-3.fc15.x86_64 (Fedora Project) 1320287358
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1333148231
:/usr/lib64/libXext.so.6.4.0 libXext-1.3.0-1.fc16.x86_64 (Fedora Project) 1333148242
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.2.0-1.fc16.x86_64 (Fedora Project) 1333148243
:/usr/lib64/libXt.so.6.0.0 libXt-1.1.1-1.fc16.x86_64 (Fedora Project) 1320287358
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-5.fc16.x86_64 (Fedora Project) 1335246623
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1333148231
:/usr/lib64/libXmu.so.6.2.0 libXmu-1.1.0-2.fc15.x86_64 (Fedora Project) 1320287358

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1573
:HOSTNAME=PCPhil.lan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/philippe/.gnupg/S.gpg-agent:1594:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=3c94cfb99762d0db4a44413d0000000d-1335310002.523663-913439551
:GNOME_KEYRING_CONTROL=/tmp/keyring-reOgRy
:IMSETTINGS_MODULE=none
:USER=philippe
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-DUNNzUcC1441/agent.1441
:USERNAME=philippe
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/philippe
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/philippe/.local/bin:/home/philippe/bin
:QT_IM_MODULE=xim
:PWD=/home/philippe
:XMODIFIERS=@im=none
:LANG=fr_FR.UTF-8
:GNOME_KEYRING_PID=1437
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/philippe
:LOGNAME=philippe
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-k44ICjWxzZ,guid=9b81694ee29177c3a3e7f74e0000005a
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/philippe
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-philippe-Bmv1za/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1603,unix/unix:/tmp/.ICE-unix/1603
:DISPLAY=:0.0
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/xpaint.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5389

smolt_data:
:
:
:Général
:=================================
:UUID: d48860b3-fa54-4d90-9a4d-bfa922d9ebc8
:SE: Fedora release 16 (Verne)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.UTF-8
:Plateforme: x86_64
:BogoMIPS: 3299.82
:Fabricant du processeurs: AuthenticAMD
:Modèle de processeur: AMD E-450 APU with Radeon(tm) HD Graphics
:Stepping du processeur: 0
:Famille de processeur: 20
:Modèle du processeur: 2
:Nombre de processeurs: 2
:Vitesse du processeur: 1650
:Mémoire du système: 5952
:Swap du système: 7999
:Fabricant: System manufacturer
:Système: System Product Name System Version
:Type d'ordinateur: Desktop
:Noyau: 3.3.2-1.fc16.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(4098:17297:4163:33942) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:5392:4163:34023) pci, None, HOST/PCI, Family 14h Processor Root Complex
:(4098:4884:4163:34023) pci, snd_hda_intel, MULTIMEDIA, Wrestler HDMI Audio [Radeon HD 6250/6310]
:(4098:38918:4163:34023) pci, radeon, VIDEO, N/A
:(6945:4224:4163:33929) pci, None, PCI/PCI, N/A
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(4098:17302:4163:33942) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4163:33942) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4098:17313:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 1)
:(4098:17314:4098:0) pci, pcieport, PCI/PCI, N/A
:(4098:17315:4098:0) pci, pcieport, PCI/PCI, N/A
:(4098:17285:4163:33942) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:4163:33942) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4163:33861) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:4163:33942) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(4098:17302:4163:33942) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4163:33942) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4163:33942) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4163:33942) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4358:12356:4163:33278) pci, firewire_ohci, FIREWIRE, M4A series motherboard
:(6164:770:5218:47156) pci, rt61pci, NETWORK, PC54G3 Wireless 11g PCI Card
:(445:21:445:34) pci, None, FIREWIRE, N/A
:(445:48862:445:34) pci, None, MULTIMEDIA, N/A
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_pcphil-lv_root / ext4 4096 4096 13092922 11126929 10995892 3276800 3093823 3093823
:/dev/sda2 /boot ext4 1024 1024 508745 408414 382814 128016 127737 127737
:/dev/mapper/vg_pcphil-lv_home /home ext4 4096 4096 140844642 104559085 97509460 35250176 35195321 35195321
:

var_log_messages:
:Apr 25 09:47:34 PCPhil yum[5377]: Installed: xpaint-2.9.8.3-1.fc16.x86_64
:Apr 25 09:48:31 PCPhil kernel: [30198.404717] xpaint[5389]: segfault at 7f47b3625000 ip 00000033e581818f sp 00007fff5f3c1938 error 7 in libjpeg.so.62.0.0[33e5800000+3e000]
:Apr 25 09:48:31 PCPhil abrt[5392]: Saved core dump of pid 5389 (/usr/bin/xpaint) to /var/spool/abrt/ccpp-2012-04-25-09:48:31-5389 (20893696 bytes)

Comment 1 Philippe Noroy 2012-04-25 07:52:40 UTC
Created attachment 580084 [details]
File: maps

Comment 2 Philippe Noroy 2012-04-25 07:52:43 UTC
Created attachment 580085 [details]
File: backtrace

Comment 3 Fedora End Of Life 2013-01-16 17:03:52 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2013-02-13 21:25:37 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.